Package: java.time.temporal

## [Java] Interface TemporalAccessor

-     public interface TemporalAccessor

  GDK enhancements for TemporalAccessor.

  displayName:
    TemporalAccessor
  receiverFqcn:
    java.time.temporal.TemporalAccessor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public long` | `getAt(TemporalField field)` Supports the getAt operator; equivalent to calling the TemporalAccessor.getLong method.
    `` | `public List<Long>` | `getAt(Iterable<TemporalField> fields)` Supports the getAt operator for an iterable; equivalent to collecting the TemporalAccessor.getLong method for each field in the supplied iterable.

- - ### Method Detail

    - #### public long getAt(TemporalField field)

      Supports the getAt operator; equivalent to calling the TemporalAccessor.getLong method.

      throws:
        DateTimeException if a value for the field cannot be obtained
      throws:
        UnsupportedTemporalTypeException if the field is not supported
      throws:
        ArithmeticException if numeric overflow occurs
      Parameters:
        `field` - a non-null TemporalField
      Returns:
        the value for the field
      Since:
        2.5.0

    - #### public List<Long> getAt(Iterable<TemporalField> fields)

      Supports the getAt operator for an iterable; equivalent to collecting the TemporalAccessor.getLong method for each field in the supplied iterable.

           import static java.time.temporal.ChronoField.*
           import java.time.LocalTime

           def breakfast = LocalTime.of(8, 30, 0)
           def (h, m, s) = breakfast[HOUR_OF_DAY, MINUTE_OF_HOUR, SECOND_OF_MINUTE]
           assert "$h:$m:$s" == "8:30:0"

      throws:
        DateTimeException if a value for the field cannot be obtained
      throws:
        UnsupportedTemporalTypeException if the field is not supported
      throws:
        ArithmeticException if numeric overflow occurs
      Parameters:
        `fields` - an iterable of non-null TemporalField values
      Returns:
        the list of values for the fields
      Since:
        4.0.6